
package com.ejie.ad74a.ws.client.platea.notificaciones;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Clase Java para TDocSupportType.
 * 
 * <p>El siguiente fragmento de esquema especifica el contenido que se espera que haya en esta clase.
 * <p>
 * <pre>
 * &lt;simpleType name="TDocSupportType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="PAPEL"/&gt;
 *     &lt;enumeration value="PDF"/&gt;
 *     &lt;enumeration value="PDF-A"/&gt;
 *     &lt;enumeration value="MANUSCRITO"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "TDocSupportType")
@XmlEnum
public enum TDocSupportType {

    PAPEL("PAPEL"),
    PDF("PDF"),
    @XmlEnumValue("PDF-A")
    PDF_A("PDF-A"),
    MANUSCRITO("MANUSCRITO");
    private final String value;

    TDocSupportType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TDocSupportType fromValue(String v) {
        for (TDocSupportType c: TDocSupportType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
